wxWidgets: wxStockPreferencesPage Class Reference

| Version: 3.0.4

Public Types | Public Member Functions | List of all members
wxStockPreferencesPage Class Reference

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.i686/src/wxWidgets-3.0.4/interface/wx/preferences.h>`

Inheritance diagram for wxStockPreferencesPage:
[legend]

## Detailed Description

Specialization of wxPreferencesPage useful for certain commonly used preferences page.

On OS X, preferences pages named "General" and "Advanced" are commonly used in apps and the OS provides stock icons for them that should be used. Instead of reimplementing this behavior yourself, you can inherit from wxStockPreferencesPage and get correct title and icon.

Notice that this class only implements GetName() and GetLargeIcon(), you still have to provide the rest of wxPreferencesPage implementation.

##

Library: wxCore

Since
  2.9.5

## Public Types
enum | Kind { Kind_General, Kind_Advanced }
| Kinds of stock pages. More...

## Public Member Functions
| wxStockPreferencesPage (Kind kind)
| Constructor. More...
Kind | GetKind () const
| Returns the page's kind. More...
virtual wxString | GetName () const
| Reimplemented to return suitable name for the page's kind. More...
virtual wxBitmap | GetLargeIcon () const
| Reimplemented to return stock icon on OS X. More...
Public Member Functions inherited from wxPreferencesPage
| wxPreferencesPage ()
| Constructor. More...
virtual | ~wxPreferencesPage ()
| Destructor. More...
virtual wxWindow * | CreateWindow (wxWindow *parent)=0
| Create a window for this page. More...

## Member Enumeration Documentation

## ◆ Kind

enum wxStockPreferencesPage::Kind

Kinds of stock pages.

Enumerator
Kind_General | The "General" page.
Kind_Advanced | The "Advanced" page.

## Constructor & Destructor Documentation

## ◆ wxStockPreferencesPage()

wxStockPreferencesPage::wxStockPreferencesPage | ( | Kind | kind | ) |

Constructor.

## Member Function Documentation

## ◆ GetKind()

Kind wxStockPreferencesPage::GetKind | ( |  | ) | const

Returns the page's kind.

## ◆ GetLargeIcon()

virtual wxBitmap wxStockPreferencesPage::GetLargeIcon | ( |  | ) | const
| virtual

Reimplemented to return stock icon on OS X.

Implements wxPreferencesPage.

## ◆ GetName()

virtual wxString wxStockPreferencesPage::GetName | ( |  | ) | const
| virtual

Reimplemented to return suitable name for the page's kind.

Implements wxPreferencesPage.